Subject: Re: [PATCH net-next 1/2] net: phy: realtek: add PHY driver for RTL8127ATF

From: Jakub Kicinski <[email-masked]>
Date: Sat, 10 Jan 2026 11:00:52 -0800

On Sat, 10 Jan 2026 10:57:40 -0800 Jakub Kicinski wrote:
> On Sat, 10 Jan 2026 18:23:06 +0100 Heiner Kallweit wrote:
> > On 1/9/2026 2:28 AM, Jakub Kicinski wrote:  
> > > How would you feel about putting this in include/net ?
> > > Easy to miss things in linux/, harder to grep, not to
> > > mention that some of our automation (patchwork etc) has
> > > its own delegation rules, not using MAINTAINERS.    
> > 
> > Just sent a v2 with the new header moved to new include/net/phy/.
> > patchwork is showing a warning rgd a missing new MAINTAINERS entry.
> > However this new entry is added with the patch:
> > 
> > --- a/MAINTAINERS
> > +++ b/MAINTAINERS
> > @@ -9416,6 +9416,7 @@ F:	include/linux/phy_link_topology.h
> >  F:	include/linux/phylib_stubs.h
> >  F:	include/linux/platform_data/mdio-bcm-unimac.h
> >  F:	include/linux/platform_data/mdio-gpio.h
> > +F:	include/net/phy/
> >  F:	include/trace/events/mdio.h
> >  F:	include/uapi/linux/mdio.h
> >  F:	include/uapi/linux/mii.h
> > 
> > Bug in the check?  
> 
> My reading of it was basically that it's upset that realtek PHYs don't
> have a dedicated maintainer. The check considers the PHY subsystem as
> too large for the same people to cover core and all the drivers.
> If that's the case then the check is working as expected.
> It's just flagging the sub-optimal situation to the maintainers.
> 
> I wasn't sure if you'd be willing to create a dedicated MAINTAINERS
> entry for Realtek PHYs. The check itself is safe to ignore in this case.

PS FWIW the check is our replacement for the utterly useless checkpatch
check that asks for a MAINTAINERS entry every time a new file is added.
I wanted to mute that without feeling guilty for ignoring a potentially
useful suggestion so I coded up a more intelligent check which asks for
MAINTAINERS entry only if the file doesn't fall under any reasonably
sized entry already.